Package org.apache.sling.fsprovider.internal.mapper

# Class FileVaultResourceMapper

java.lang.Object
org.apache.sling.fsprovider.internal.mapper.FileResourceMapper
org.apache.sling.fsprovider.internal.mapper.FileVaultResourceMapper

public final class FileVaultResourceMapper extends FileResourceMapper

## Field Summary

### Fields inherited from class org.apache.sling.fsprovider.internal.mapper.FileResourceMapper

`contentFileCache, fileStatCache, overlayParentResourceProvider, providerFile`

## Constructor Summary

Constructors
Constructor
Description
`FileVaultResourceMapper(String providerRoot, File providerFile, org.apache.sling.fsprovider.internal.ContentFileExtensions contentFileExtensions, ContentFileCache contentFileCache, org.apache.sling.fsprovider.internal.FileStatCache fileStatCache, boolean overlayParentResourceProvider, File filterXmlFile)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addChildren(List<Iterator<? extends org.apache.sling.api.resource.Resource>> allChildren, Iterator<org.apache.sling.api.resource.Resource> children)`
`protected boolean`
`resolveChildren(org.apache.sling.api.resource.ResourceResolver resolver, org.apache.sling.api.resource.Resource parent, List<Iterator<? extends org.apache.sling.api.resource.Resource>> allChildren)`
`protected Map.Entry<org.apache.sling.api.resource.Resource,Boolean>`
`resolveResource(org.apache.sling.api.resource.ResourceResolver resolver, String path)`
`String`
`transformPath(String path)`
Transforms the path based on the mode.

### Methods inherited from class org.apache.sling.fsprovider.internal.mapper.FileResourceMapper

`getResource, listChildren`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileVaultResourceMapper

public FileVaultResourceMapper(String providerRoot, File providerFile, org.apache.sling.fsprovider.internal.ContentFileExtensions contentFileExtensions, ContentFileCache contentFileCache, org.apache.sling.fsprovider.internal.FileStatCache fileStatCache, boolean overlayParentResourceProvider, File filterXmlFile)

## Method Details

### transformPath

public String transformPath(String path)
Description copied from class: `FileResourceMapper`
Transforms the path based on the mode. By default this method does nothing

Overrides:
  `transformPath` in class `FileResourceMapper`
Returns:
  The transformed path

### resolveResource

protected Map.Entry<org.apache.sling.api.resource.Resource,Boolean> resolveResource(org.apache.sling.api.resource.ResourceResolver resolver, String path)

Overrides:
  `resolveResource` in class `FileResourceMapper`

### resolveChildren

protected boolean resolveChildren(org.apache.sling.api.resource.ResourceResolver resolver, org.apache.sling.api.resource.Resource parent, List<Iterator<? extends org.apache.sling.api.resource.Resource>> allChildren)

Overrides:
  `resolveChildren` in class `FileResourceMapper`

### addChildren

protected void addChildren(List<Iterator<? extends org.apache.sling.api.resource.Resource>> allChildren, Iterator<org.apache.sling.api.resource.Resource> children)

Overrides:
  `addChildren` in class `FileResourceMapper`